import { Component } from "@angular/core";
import { SettingsService } from "src/app/service/settings.service";

@Component({
  selector: "app-footer",
  templateUrl: "./footer.component.html",
  styleUrls: ["./footer.component.scss"],
})
export class FooterComponent {
  constructor(private settings: SettingsService) {}

  get termsUrl(): string {
    return this.settings.settings.termsUrl;
  }

  get privacyUrl(): string {
    return this.settings.settings.privacyURL;
  }

  get imprintUrl(): string {
    return this.settings.settings.imprintURL;
  }
}
